Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 988755

Summary: Wrong order for --config and --cd in Init script
Product: [Fedora] Fedora EPEL Reporter: Volker Fröhlich <volker27>
Component: openvpnAssignee: Gwyn Ciesla <gwync>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: el6CC: gwync, huzaifas, steve
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: openvpn-2.3.2-1.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-16 19:50:46 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Volker Fröhlich 2013-07-26 10:04:14 UTC
$openvpn --daemon --writepid $piddir/$bn.pid --config $c --cd $work $script_security

must read something like

$openvpn --daemon --writepid $piddir/$bn.pid --cd $work --config $c  $script_security

otherwise the deamon won't start.

https://bugs.archlinux.org/task/33054

Comment 1 Fedora Update System 2013-07-31 17:09:57 UTC
openvpn-2.3.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openvpn-2.3.1-4.el6

Comment 2 Fedora Update System 2013-07-31 17:10:09 UTC
openvpn-2.3.1-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/openvpn-2.3.1-4.el5

Comment 3 Fedora Update System 2013-08-01 20:36:15 UTC
Package openvpn-2.3.2-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing openvpn-2.3.2-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11043/openvpn-2.3.2-1.el5
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-08-16 19:50:46 UTC
openvpn-2.3.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-08-16 19:50:56 UTC
openvpn-2.3.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.